Summary:	MusicBrainz-based audio tagger
Summary(de):	Auf MusicBrainz basierender Audiotag-Editor
Name:		picard
Version:	1.2
Release:	%mkrel 1
Group:		Sound
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv2+
Url:		http://musicbrainz.org/doc/PicardTagger
Source0:	http://ftp.musicbrainz.org/pub/musicbrainz/picard/%{name}-%{version}.tar.xz
Source19:	   http://github.com/voiceinsideyou/creaps-picard-plugins/raw/master/titlesort.py
Source20:	   http://github.com/voiceinsideyou/creaps-picard-plugins/raw/master/titleversion.py
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	python-qt4-core >= 4.3
BuildRequires:	mutagen > 1.11
BuildRequires:	%{_lib}ofa-devel
BuildRequires:	%{_lib}expat1-devel
BuildRequires:	%{_lib}ffmpeg-devel
Requires:	python-qt4-core >= 4.3
Requires:	python-qt4-gui >= 4.3
Requires:	python-qt4-network >= 4.3
Requires:	python-qt4-xml >= 4.3
Requires:	python-sip
Requires:	mutagen > 1.9
Requires:	%{_lib}discid0
%py_requires -d

%description
Picard is an audio tagging application using data from the MusicBrainz
database. The tagger is album or release oriented, rather than
track-oriented.

%description -l de
Picard ist ein Programm zum Hinzufügen von Audiotags, wobei die MusicBrainz
Datenbank genutzt wird. Es orientiert sich an Alben oder Veröffentlichungsdaten,
anstelle von Einzelaufnamen.

%prep
%setup -q -n %name-%version

%build
env %{__python} setup.py config
env CFLAGS="%{optflags} -I%_includedir/libavcodec -I%_includedir/libavformat" %{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
install -D picard.desktop %buildroot%_datadir/applications/picard.desktop 
sed -i -e 's/^Icon=%{name}-32.png$/Icon=%{name}-32/g' %{buildroot}%{_datadir}/applications/*

desktop-file-install \
        --vendor="" \
	--remove-category="Application" \
        --add-category="X-MandrivaLinux-Multimedia-Sound" \
	--dir=%{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*
	
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -pm 0644 resources/images/48x48/picard.png %{buildroot}%{_datadir}/pixmaps/

# install plugins
PLUGINDIR=$RPM_BUILD_ROOT%{python_sitearch}/picard/plugins/
install -pm 0644 contrib/plugins/discnumber.py ${PLUGINDIR}
install -pm 0644 contrib/plugins/featartist.py ${PLUGINDIR}
mkdir ${PLUGINDIR}/lastfm/
install -pm 0644 contrib/plugins/lastfm/__init__.py ${PLUGINDIR}/lastfm/
install -pm 0644 contrib/plugins/lastfm/ui_options_lastfm.py ${PLUGINDIR}/lastfm/
install -pm 0644 contrib/plugins/lastfm/options_lastfm.ui ${PLUGINDIR}/lastfm/
install -pm 0644 contrib/plugins/cuesheet.py ${PLUGINDIR}
install -pm 0644 contrib/plugins/open_in_gui.py ${PLUGINDIR}
install -pm 0644 contrib/plugins/swapprefix.py ${PLUGINDIR}
install -pm 0644 contrib/plugins/titlecase.py ${PLUGINDIR}
install -pm 0644 contrib/plugins/tracks2clipboard.py ${PLUGINDIR}
mkdir ${PLUGINDIR}/replaygain/
install -pm 0644 contrib/plugins/replaygain/__init__.py ${PLUGINDIR}/replaygain/
install -pm 0644 contrib/plugins/replaygain/ui_options_replaygain.py ${PLUGINDIR}/replaygain/
install -pm 0644 contrib/plugins/replaygain/options_replaygain.ui ${PLUGINDIR}/replaygain/
install -pm 0644 contrib/plugins/featartistsintitles.py ${PLUGINDIR}
install -pm 0644 contrib/plugins/release_type.py ${PLUGINDIR}
install -pm 0644 contrib/plugins/no_release.py ${PLUGINDIR}
install -pm 0644 contrib/plugins/addrelease.py ${PLUGINDIR}
mkdir ${PLUGINDIR}/lastfmplus/
install -pm 0644 contrib/plugins/lastfmplus/__init__.py ${PLUGINDIR}/lastfmplus/
install -pm 0644 contrib/plugins/lastfmplus/ui_options_lastfm.py ${PLUGINDIR}/lastfmplus/
install -pm 0644 contrib/plugins/classicdiscnumber.py ${PLUGINDIR}

install -pm 0644 %{SOURCE19} ${PLUGINDIR}
install -pm 0644 %{SOURCE20} ${PLUGINDIR}


%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS.txt NEWS.txt INSTALL.txt
%{_bindir}/picard
%{_datadir}/applications/*.desktop
%_datadir/icons/hicolor/*/apps/picard.png
%{python_sitearch}/*egg-info
%dir %{python_sitearch}/picard
%{python_sitearch}/picard/*
%{_datadir}/pixmaps/picard.png


%changelog
* Thu Oct 10 2013 billybot <billybot> 1.2-1pclos2013
- 1.2

* Fri Aug 16 2013 billybot <billybot> 1.1-3pclos2013
- update python 2.7

* Wed May 01 2013 Texstar <texstar at gmail.com> 1.1-2pclos2013
- fix broken dependency

* Sun Sep 08 2012 Neal <nealbrks0 at gmail dot com> 1.1-1pclos2012
- change BuildRequires:	%{_lib}expat-devel to BuildRequires:	%{_lib}expat1-devel
- process

* Sun Sep 08 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.1-1pclos2012
- 1.1
- added german summmary and description
- added xz compression

* Sun Apr 08 2012 Neal <nealbrks0 at gmail.com> 0.16-1pclos2012
- process

* Sat Apr 07 2012 travisn000 <travisn000 at gmail> 0.16-1
- new version
- add new plugins
- disable outdated plugins (encoding, bonus disk)

* Thu Jul 14 2011 Pinoc <vogtpet at gmail.com> 0.14-1pclos2011
- 0.14

* Mon Sep 06 2010 Texstar <texstar at gmail.com> 0.12.1-2pclos2010
- rebuild for new python

* Thu Sep 02 2010 johnnyblack <johnnyblack at inbox.com> 0.12.1-1pclos2010
- 0.12.1

* Sun Jun 21 2009 johnnyblack <johnnyblack@inbox.com> 0.11-1pclos2009
- update
